<bugID>1093738<Summary>Breakpoints hit in code not executed</Summary><Description>A breakpoint set in an 'else' clause can be hit even when the 'else' is not taken.

- Unpack the attached ZIP file, containing bp.html and bp.js.
- Visit bp.html.
- Open the debugger.
- Set a breakpoint in bp.js on the line indicated by the comment.
- Click on the text that says 'click me'.
- The text "PASS bleah" is logged to the console, indicating that the 'then' branch was taken.
- The debugger reports a breakpoint hit in the 'else' branch.
- Press continue.

Note that "FAIL bleah" is never logged to the console, ruling out the possibility of multiple calls to the function.</Description></bugID>